Ogre::BitArray Class Reference
LOD

`#include <OgreProgressiveMesh.h>`

List of all members.

## Public Member Functions

| BitArray ()
| BitArray (int bits_count)
BitArray & | operator= (const BitArray &ba)
bool | getBit (size_t i) const
void | setBit (size_t i)
void | clearBit (size_t i)
void | clearAllBits ()
bool | empty () const
void | resize (size_t bits_count)
size_t | getBitsCount () const

## Private Attributes

unsigned char * | bits_ptr
vector< unsigned char >::type | bits

## Static Private Attributes

static const unsigned char | bit_mask [8]
static const unsigned char | bit_count [16]

## Detailed Description

Definition at line 56 of file OgreProgressiveMesh.h.

## Constructor & Destructor Documentation

Ogre::BitArray::BitArray | ( |  | ) |

Definition at line 59 of file OgreProgressiveMesh.h.

Ogre::BitArray::BitArray | ( | int | bits_count | ) |

Definition at line 60 of file OgreProgressiveMesh.h.

## Member Function Documentation

void Ogre::BitArray::clearAllBits | ( |  | ) |

Definition at line 66 of file OgreProgressiveMesh.h.

void Ogre::BitArray::clearBit | ( | size_t | i | ) |

Definition at line 65 of file OgreProgressiveMesh.h.

bool Ogre::BitArray::empty | ( |  | ) | const

Definition at line 68 of file OgreProgressiveMesh.h.

bool Ogre::BitArray::getBit | ( | size_t | i | ) | const

Definition at line 63 of file OgreProgressiveMesh.h.

size_t Ogre::BitArray::getBitsCount | ( |  | ) | const

Definition at line 76 of file OgreProgressiveMesh.h.

BitArray& Ogre::BitArray::operator= | ( | const BitArray & | ba | ) |

Definition at line 61 of file OgreProgressiveMesh.h.

References bits.

void Ogre::BitArray::resize | ( | size_t | bits_count | ) |

Definition at line 69 of file OgreProgressiveMesh.h.

void Ogre::BitArray::setBit | ( | size_t | i | ) |

Definition at line 64 of file OgreProgressiveMesh.h.

## Member Data Documentation

const unsigned char Ogre::BitArray::bit_count[16]`[static, private]`

Definition at line 92 of file OgreProgressiveMesh.h.

const unsigned char Ogre::BitArray::bit_mask[8]`[static, private]`

Definition at line 91 of file OgreProgressiveMesh.h.

vector<unsigned char>::type Ogre::BitArray::bits`[private]`

Definition at line 89 of file OgreProgressiveMesh.h.

Referenced by operator=().

unsigned char* Ogre::BitArray::bits_ptr`[private]`

Definition at line 88 of file OgreProgressiveMesh.h.

The documentation for this class was generated from the following file:

- OgreProgressiveMesh.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:34